Skip to main content
PATCH
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
envs
/
{env_id}
/
branch
cURL
curl --request PATCH \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/envs/{env_id}/branch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required
env_id
string
required

Body

application/json
name
string | null

When null, the branch will be cleared

Response

200

Branch updated successfully